## r-bioc-decontam 1.22.0+dfsg

=== DESCRIPTION ===
Package: decontam
Type: Package
Title: Identify Contaminants in Marker-gene and Metagenomics Sequencing
        Data
Version: 1.22.0
Date: 2021-02-19
Authors@R: 
    c(person(given = "Benjamin", family = "Callahan", role = c("aut","cre"),
             email = "benjamin.j.callahan@gmail.com"),
      person(given = "Nicole Marie", family = "Davis", role = "aut"),
      person(given = "Felix G.M.", family = "Ernst", role = "ctb",
             email = "felix.gm.ernst@outlook.com",
             comment = c(ORCID = "0000-0001-5064-0928")))
Maintainer: Benjamin Callahan <benjamin.j.callahan@gmail.com>
Description: Simple statistical identification of contaminating sequence features in 
    marker-gene or metagenomics data. Works on any kind of feature derived from 
    environmental sequencing data (e.g. ASVs, OTUs, taxonomic groups, MAGs,...).
    Requires DNA quantitation data or sequenced negative control samples.
Depends: R (>= 3.4.1), methods (>= 3.4.1)
Imports: ggplot2 (>= 2.1.0), reshape2 (>= 1.4.1), stats
Suggests: BiocStyle, knitr, rmarkdown, phyloseq
License: Artistic-2.0
Encoding: UTF-8
VignetteBuilder: knitr
biocViews: ImmunoOncology, Microbiome, Sequencing, Classification,
        Metagenomics
URL: https://github.com/benjjneb/decontam
BugReports: https://github.com/benjjneb/decontam/issues
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/decontam
git_branch: RELEASE_3_18
git_last_commit: 239188d
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
NeedsCompilation: no
Packaged: 2023-10-24 20:54:30 UTC; biocbuild
Author: Benjamin Callahan [aut, cre],
  Nicole Marie Davis [aut],
  Felix G.M. Ernst [ctb] (<https://orcid.org/0000-0001-5064-0928>)

=== debian/changelog ===
r-bioc-decontam (1.22.0+dfsg-2) unstable; urgency=medium

  * Source-only upload
  Trim trailing whitespace.
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 11:22:25 +0100

r-bioc-decontam (1.22.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1061981)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 18:56:57 +0100

=== debian/control ===
Source: r-bioc-decontam
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-ggplot2,
               r-cran-reshape2
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-decontam
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-decontam.git
Homepage: https://bioconductor.org/packages/decontam/
Rules-Requires-Root: no

Package: r-bioc-decontam
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: identify contaminants in marker-gene and metagenomics sequencing sata
 Simple statistical identification of contaminating sequence features in
 marker-gene or metagenomics data. Works on any kind of feature derived from
 environmental sequencing data (e.g. ASVs, OTUs, taxonomic groups, MAGs,...).
 Requires DNA quantitation data or sequenced negative control samples.

## r-bioc-decontam 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Identify Contaminants in Marker-gene and Metagenomics Sequencing
         Data
-Version: 1.22.0
+Version: 1.24.0
 Date: 2021-02-19
 Authors@R: 
     c(person(given = "Benjamin", family = "Callahan", role = c("aut","cre"),
@@ -28,12 +28,13 @@
 BugReports: https://github.com/benjjneb/decontam/issues
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/decontam
-git_branch: RELEASE_3_18
-git_last_commit: 239188d
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 2648b10
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 20:54:30 UTC; biocbuild
+Packaged: 2024-05-01 03:23:20 UTC; biocbuild
 Author: Benjamin Callahan [aut, cre],
   Nicole Marie Davis [aut],
   Felix G.M. Ernst [ctb] (<https://orcid.org/0000-0001-5064-0928>)

=== debian/changelog ===
r-bioc-decontam (1.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:27:29 +0200

r-bioc-decontam (1.24.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:56:29 +0200

## r-bioc-decontam 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Identify Contaminants in Marker-gene and Metagenomics Sequencing
         Data
-Version: 1.24.0
+Version: 1.26.0
 Date: 2021-02-19
 Authors@R: 
     c(person(given = "Benjamin", family = "Callahan", role = c("aut","cre"),
@@ -28,13 +28,13 @@
 BugReports: https://github.com/benjjneb/decontam/issues
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/decontam
-git_branch: RELEASE_3_19
-git_last_commit: 2648b10
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: c336999
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 03:23:20 UTC; biocbuild
+Packaged: 2024-10-30 00:18:36 UTC; biocbuild
 Author: Benjamin Callahan [aut, cre],
   Nicole Marie Davis [aut],
   Felix G.M. Ernst [ctb] (<https://orcid.org/0000-0001-5064-0928>)

=== debian/changelog ===
r-bioc-decontam (1.26.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:29:12 +0100

r-bioc-decontam (1.26.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 21:32:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-ggplot2,
                r-cran-reshape2
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-decontam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-decontam.git
 Homepage: https://bioconductor.org/packages/decontam/

=== debian/watch ===
version=4

opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
 https://www.bioconductor.org/packages/release/bioc/html/decontam.html .*/decontam_([\d\.]+)\.tar\.gz
